## MmGdbusSms MmGdbusSms — Generated C code for the org.freedesktop.ModemManager1.Sms D-Bus interface |

## Functions

guint | mm_gdbus_sms_get_state ()
guint | mm_gdbus_sms_get_pdu_type ()
guint | mm_gdbus_sms_get_message_reference ()
guint | mm_gdbus_sms_get_storage ()
const gchar * | mm_gdbus_sms_get_text ()
gchar * | mm_gdbus_sms_dup_text ()
GVariant * | mm_gdbus_sms_get_data ()
GVariant * | mm_gdbus_sms_dup_data ()
const gchar * | mm_gdbus_sms_get_number ()
gchar * | mm_gdbus_sms_dup_number ()
const gchar * | mm_gdbus_sms_get_smsc ()
gchar * | mm_gdbus_sms_dup_smsc ()
GVariant * | mm_gdbus_sms_get_validity ()
GVariant * | mm_gdbus_sms_dup_validity ()
gint | mm_gdbus_sms_get_class ()
guint | mm_gdbus_sms_get_teleservice_id ()
guint | mm_gdbus_sms_get_service_category ()
const gchar * | mm_gdbus_sms_get_timestamp ()
gchar * | mm_gdbus_sms_dup_timestamp ()
const gchar * | mm_gdbus_sms_get_discharge_timestamp ()
gchar * | mm_gdbus_sms_dup_discharge_timestamp ()
gboolean | mm_gdbus_sms_get_delivery_report_request ()
guint | mm_gdbus_sms_get_delivery_state ()
void | mm_gdbus_sms_call_send ()
gboolean | mm_gdbus_sms_call_send_finish ()
gboolean | mm_gdbus_sms_call_send_sync ()
void | mm_gdbus_sms_call_store ()
gboolean | mm_gdbus_sms_call_store_finish ()
gboolean | mm_gdbus_sms_call_store_sync ()

## Properties

gint | class | Read / Write
GVariant * | data | Read / Write
gboolean | delivery-report-request | Read / Write
guint | delivery-state | Read / Write
gchar * | discharge-timestamp | Read / Write
guint | message-reference | Read / Write
gchar * | number | Read / Write
guint | pdu-type | Read / Write
guint | service-category | Read / Write
gchar * | smsc | Read / Write
guint | state | Read / Write
guint | storage | Read / Write
guint | teleservice-id | Read / Write
gchar * | text | Read / Write
gchar * | timestamp | Read / Write
GVariant * | validity | Read / Write

## Signals

gboolean | handle-send | Run Last
gboolean | handle-store | Run Last

## Types and Values

| MmGdbusSms
struct | MmGdbusSmsIface

## Object Hierarchy

        GInterface
        ╰── MmGdbusSms

## Prerequisites

MmGdbusSms requires GObject.

## Known Implementations

MmGdbusSms is implemented by MMSms, MmGdbusSmsProxy and MmGdbusSmsSkeleton.

## Description

This section contains code for working with the org.freedesktop.ModemManager1.Sms D-Bus interface in C.

## Functions

### mm_gdbus_sms_get_state ()

    guint
    mm_gdbus_sms_get_state (MmGdbusSms *object);

Gets the value of the "State" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value.

### mm_gdbus_sms_get_pdu_type ()

    guint
    mm_gdbus_sms_get_pdu_type (MmGdbusSms *object);

Gets the value of the "PduType" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value.

### mm_gdbus_sms_get_message_reference ()

    guint
    mm_gdbus_sms_get_message_reference (MmGdbusSms *object);

Gets the value of the "MessageReference" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value.

### mm_gdbus_sms_get_storage ()

    guint
    mm_gdbus_sms_get_storage (MmGdbusSms *object);

Gets the value of the "Storage" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value.

### mm_gdbus_sms_get_text ()

    const gchar *
    mm_gdbus_sms_get_text (MmGdbusSms *object);

Gets the value of the "Text" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_sms_dup_text()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_sms_dup_text ()

    gchar *
    mm_gdbus_sms_dup_text (MmGdbusSms *object);

Gets a copy of the "Text" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_sms_get_data ()

    GVariant *
    mm_gdbus_sms_get_data (MmGdbusSms *object);

Gets the value of the "Data" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_sms_dup_data()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_sms_dup_data ()

    GVariant *
    mm_gdbus_sms_dup_data (MmGdbusSms *object);

Gets a copy of the "Data" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_sms_get_number ()

    const gchar *
    mm_gdbus_sms_get_number (MmGdbusSms *object);

Gets the value of the "Number" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_sms_dup_number()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_sms_dup_number ()

    gchar *
    mm_gdbus_sms_dup_number (MmGdbusSms *object);

Gets a copy of the "Number" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_sms_get_smsc ()

    const gchar *
    mm_gdbus_sms_get_smsc (MmGdbusSms *object);

Gets the value of the "SMSC" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_sms_dup_smsc()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_sms_dup_smsc ()

    gchar *
    mm_gdbus_sms_dup_smsc (MmGdbusSms *object);

Gets a copy of the "SMSC" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_sms_get_validity ()

    GVariant *
    mm_gdbus_sms_get_validity (MmGdbusSms *object);

Gets the value of the "Validity" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_sms_dup_validity()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_sms_dup_validity ()

    GVariant *
    mm_gdbus_sms_dup_validity (MmGdbusSms *object);

Gets a copy of the "Validity" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_sms_get_class ()

    gint
    mm_gdbus_sms_get_class (MmGdbusSms *object);

Gets the value of the "Class" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value.

### mm_gdbus_sms_get_teleservice_id ()

    guint
    mm_gdbus_sms_get_teleservice_id (MmGdbusSms *object);

Gets the value of the "TeleserviceId" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value.

### mm_gdbus_sms_get_service_category ()

    guint
    mm_gdbus_sms_get_service_category (MmGdbusSms *object);

Gets the value of the "ServiceCategory" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value.

### mm_gdbus_sms_get_timestamp ()

    const gchar *
    mm_gdbus_sms_get_timestamp (MmGdbusSms *object);

Gets the value of the "Timestamp" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_sms_dup_timestamp()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_sms_dup_timestamp ()

    gchar *
    mm_gdbus_sms_dup_timestamp (MmGdbusSms *object);

Gets a copy of the "Timestamp" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_sms_get_discharge_timestamp ()

    const gchar *
    mm_gdbus_sms_get_discharge_timestamp (MmGdbusSms *object);

Gets the value of the "DischargeTimestamp" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_sms_dup_discharge_timestamp()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_sms_dup_discharge_timestamp ()

    gchar *
    mm_gdbus_sms_dup_discharge_timestamp (MmGdbusSms *object);

Gets a copy of the "DischargeTimestamp" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_sms_get_delivery_report_request ()

    gboolean
    mm_gdbus_sms_get_delivery_report_request
                                   (MmGdbusSms *object);

Gets the value of the "DeliveryReportRequest" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value.

### mm_gdbus_sms_get_delivery_state ()

    guint
    mm_gdbus_sms_get_delivery_state (MmGdbusSms *object);

Gets the value of the "DeliveryState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusSms. |

#### Returns

The property value.

### mm_gdbus_sms_call_send ()

    void
    mm_gdbus_sms_call_send (MmGdbusSms *proxy,
                            GCancellable *cancellable,
                            GAsyncReadyCallback callback,
                            gpointer user_data);

Asynchronously invokes the `Send()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_sms_call_send_finish()` to get the result of the operation.

See `mm_gdbus_sms_call_send_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusSmsProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_sms_call_send_finish ()

    gboolean
    mm_gdbus_sms_call_send_finish (MmGdbusSms *proxy,
                                   GAsyncResult *res,
                                   GError **error);

Finishes an operation started with `mm_gdbus_sms_call_send()`.

#### Parameters

proxy | A MmGdbusSmsProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_sms_call_send()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_sms_call_send_sync ()

    gboolean
    mm_gdbus_sms_call_send_sync (MmGdbusSms *proxy,
                                 GCancellable *cancellable,
                                 GError **error);

Synchronously invokes the `Send()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_sms_call_send()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusSmsProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_sms_call_store ()

    void
    mm_gdbus_sms_call_store (MmGdbusSms *proxy,
                             guint arg_storage,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously invokes the `Store()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_sms_call_store_finish()` to get the result of the operation.

See `mm_gdbus_sms_call_store_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusSmsProxy. |
arg_storage | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_sms_call_store_finish ()

    gboolean
    mm_gdbus_sms_call_store_finish (MmGdbusSms *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_sms_call_store()`.

#### Parameters

proxy | A MmGdbusSmsProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_sms_call_store()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_sms_call_store_sync ()

    gboolean
    mm_gdbus_sms_call_store_sync (MmGdbusSms *proxy,
                                  guint arg_storage,
                                  GCancellable *cancellable,
                                  GError **error);

Synchronously invokes the `Store()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_sms_call_store()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusSmsProxy. |
arg_storage | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

## Types and Values

### MmGdbusSms

    typedef struct _MmGdbusSms MmGdbusSms;

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.Sms.

### struct MmGdbusSmsIface

    struct MmGdbusSmsIface {
      GTypeInterface parent_iface;

      gboolean (*handle_send) (
        MmGdbusSms *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_store) (
        MmGdbusSms *object,
        GDBusMethodInvocation *invocation,
        guint arg_storage);

      gint  (*get_class) (MmGdbusSms *object);

      GVariant * (*get_data) (MmGdbusSms *object);

      gboolean  (*get_delivery_report_request) (MmGdbusSms *object);

      guint  (*get_delivery_state) (MmGdbusSms *object);

      const gchar * (*get_discharge_timestamp) (MmGdbusSms *object);

      guint  (*get_message_reference) (MmGdbusSms *object);

      const gchar * (*get_number) (MmGdbusSms *object);

      guint  (*get_pdu_type) (MmGdbusSms *object);

      guint  (*get_service_category) (MmGdbusSms *object);

      const gchar * (*get_smsc) (MmGdbusSms *object);

      guint  (*get_state) (MmGdbusSms *object);

      guint  (*get_storage) (MmGdbusSms *object);

      guint  (*get_teleservice_id) (MmGdbusSms *object);

      const gchar * (*get_text) (MmGdbusSms *object);

      const gchar * (*get_timestamp) (MmGdbusSms *object);

      GVariant * (*get_validity) (MmGdbusSms *object);
    };

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.Sms.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_send` () | Handler for the “handle-send” signal. |
`handle_store` () | Handler for the “handle-store” signal. |
`get_class` () | Getter for the “class” property. |
`get_data` () | Getter for the “data” property. |
`get_delivery_report_request` () | Getter for the “delivery-report-request” property. |
`get_delivery_state` () | Getter for the “delivery-state” property. |
`get_discharge_timestamp` () | Getter for the “discharge-timestamp” property. |
`get_message_reference` () | Getter for the “message-reference” property. |
`get_number` () | Getter for the “number” property. |
`get_pdu_type` () | Getter for the “pdu-type” property. |
`get_service_category` () | Getter for the “service-category” property. |
`get_smsc` () | Getter for the “smsc” property. |
`get_state` () | Getter for the “state” property. |
`get_storage` () | Getter for the “storage” property. |
`get_teleservice_id` () | Getter for the “teleservice-id” property. |
`get_text` () | Getter for the “text” property. |
`get_timestamp` () | Getter for the “timestamp” property. |
`get_validity` () | Getter for the “validity” property. |

## Property Details

### The `“class”` property

      “class”                    gint

Represents the D-Bus property "Class".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: 0

### The `“data”` property

      “data”                     GVariant *

Represents the D-Bus property "Data".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Allowed values: GVariant<ay>

Default value: NULL

### The `“delivery-report-request”` property

      “delivery-report-request”  gboolean

Represents the D-Bus property "DeliveryReportRequest".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: FALSE

### The `“delivery-state”` property

      “delivery-state”           guint

Represents the D-Bus property "DeliveryState".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: 0

### The `“discharge-timestamp”` property

      “discharge-timestamp”      gchar *

Represents the D-Bus property "DischargeTimestamp".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: NULL

### The `“message-reference”` property

      “message-reference”        guint

Represents the D-Bus property "MessageReference".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: 0

### The `“number”` property

      “number”                   gchar *

Represents the D-Bus property "Number".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: NULL

### The `“pdu-type”` property

      “pdu-type”                 guint

Represents the D-Bus property "PduType".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: 0

### The `“service-category”` property

      “service-category”         guint

Represents the D-Bus property "ServiceCategory".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: 0

### The `“smsc”` property

      “smsc”                     gchar *

Represents the D-Bus property "SMSC".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: NULL

### The `“state”` property

      “state”                    guint

Represents the D-Bus property "State".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: 0

### The `“storage”` property

      “storage”                  guint

Represents the D-Bus property "Storage".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: 0

### The `“teleservice-id”` property

      “teleservice-id”           guint

Represents the D-Bus property "TeleserviceId".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: 0

### The `“text”` property

      “text”                     gchar *

Represents the D-Bus property "Text".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: NULL

### The `“timestamp”` property

      “timestamp”                gchar *

Represents the D-Bus property "Timestamp".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Default value: NULL

### The `“validity”` property

      “validity”                 GVariant *

Represents the D-Bus property "Validity".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusSms

Flags: Read / Write

Allowed values: GVariant<(uv)>

Default value: NULL

## Signal Details

### The `“handle-send”` signal

    gboolean
    user_function (MmGdbusSms            *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Send()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_sms_complete_send()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusSms. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-store”` signal

    gboolean
    user_function (MmGdbusSms            *object,
                   GDBusMethodInvocation *invocation,
                   guint                  arg_storage,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Store()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_sms_complete_store()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusSms. |
invocation | A GDBusMethodInvocation. |
arg_storage | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last